Update a client org
PATCH
/v1/workspaces/{workspaceId}/sharees/{shareeId}
const url = 'https://shareout.site/v1/workspaces/example/sharees/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"example","properties":{},"branding":{"logo":"example","color":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://shareout.site/v1/workspaces/example/sharees/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "type": "example", "properties": {}, "branding": { "logo": "example", "color": "example" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
Workspace ID or slug.
shareeId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
type
string
properties
object
branding
object
logo
string
color
string
Examplegenerated
{ "name": "example", "type": "example", "properties": {}, "branding": { "logo": "example", "color": "example" }}Responses
Section titled “Responses”Updated
Resource not found
Media typeapplication/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
request_id
Correlation id (also the X-Request-Id header). Quote it in support tickets.
string
reason
Finer cause under code. For UNAUTHORIZED: missing, invalid, revoked or expired.
string
hint
What to do next, in plain words.
string
suggestion
string
param
The request field at fault.
string
docs
Doc page for this error.
string
redirect_url
string
support
Present on 5xx — how to reach a human.
object
how
string
include
Array<string>
Example
{ "success": false, "support": { "how": "POST /v1/support/tickets", "include": [ "request_id" ] }}